Bug 36457 - NMI's with XFree86-4.0.3 when used with Mach64 CX
Summary: NMI's with XFree86-4.0.3 when used with Mach64 CX
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-18 12:42 UTC by Pekka Pietikäinen
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-09 15:41:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Pietikäinen 2001-04-18 12:42:56 UTC
After trying to run X on a machine I started having short hangs where
the cursor vanished for a while. Looking at my dmesg I spotted the
following:

Uhhuh. NMI received. Dazed and confused, but trying to continue
You probably have a hardware problem with your RAM chips
NMI: IOCK error (debug interrupt?)
CPU:    1
EIP:    0023:[<085273e9>]
EFLAGS: 00003212
eax: 085ab9b0   ebx: 402271e4   ecx: 00000018   edx: d8d8d8d8
esi: d8d8d8d8   edi: 00000000   ebp: bffff2c8   esp: bffff240
ds: 002b   es: 002b   ss: 002b
Process X (pid: 952, stackpage=c40f7000)

With XFree86 3.3.6 everything is fine -> might be best to just make
Xconfigurator
use 3.3.6 with this chip.

Here's the details of the board:

00:13.0 VGA compatible controller: ATI Technologies Inc 210888CX [Mach64
CX] (rev 01) (prog-if 00 [VGA])
00:13.0 Class 0300: 1002:4358 (rev 01)
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping+ SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Region 0: Memory at fe000000 (32-bit, non-prefetchable) [size=8M]
	Expansion ROM at febf0000 [disabled] [size=64K]

In a related problem, XFree only supports 8bpp on this chip, and the
installer 
apparently tries to use 16. Probably not worth special-casing old chips
like
this in anaconda, though.

Comment 1 Mike A. Harris 2001-04-18 17:42:13 UTC
NMI sounds kernel related to me.. reassigning.

Comment 2 Arjan van de Ven 2001-04-18 19:33:29 UTC
NMI is just a message from your hardware saying "Oh shit".
it's the kernel that catches it and prints it.... nothing more


Comment 3 Sammy 2001-04-19 13:52:08 UTC
I had the same problem year and a half ago. It was something trivial but I can't
remember exactly....it could be one of the options in XF86Config-4 file....I think
there was an option about depth that was changed in 4.0x from 3.3.6...I had
the old form either in the config file or as an option to X in /etc/X11/xdm/Xservers
file. The depth should be described by an option like  "Depth  16" in the Display
subsection.


Comment 4 Alan Cox 2003-06-09 15:41:08 UTC
hardware or xserver config


Note You need to log in before you can comment on or make changes to this bug.